Bug 428769 - xorg upgrades wipes custom ModulePath
xorg upgrades wipes custom ModulePath
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 20:37 EST by Linus Walleij
Modified: 2008-01-15 18:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2008-01-14 20:37:31 EST
Description of problem:
When I upgrade X (through yum updates) I have at the two
latest upgrades had the RPM install script (or whatever does
this) remove my custom lines in the ModulePath section.
I have a source-compiled radeonhd driver so it needs to
have "/usr/local/lib/xorg/modules" in the path like this:

Section "Files"
        ModulePath      "/usr/lib64/xorg/modules"
        ModulePath      "/usr/local/lib/xorg/modules"
EndSection


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-37.fc8

How reproducible:
Every time you upgrade xorg-x11-server

Steps to Reproduce:
1. Downgrade xorg
2. Add some ModulePath custom directives
3. Upgrade xorg
  
Actual results:
xorg deletes custom ModulePath

Expected results:
xorg keeps custom ModulePath

Additional info:
It will diff out like this:
--- xorg.conf~  2007-12-11 18:57:09.000000000 +0100
+++ xorg.conf   2008-01-07 20:52:21.000000000 +0100
@@ -8,7 +8,8 @@
 EndSection
 
 Section "Files"
-       ModulePath      "/usr/lib64/xorg/modules"
-       ModulePath      "/usr/local/lib/xorg/modules"
+
+
 EndSection
 
 Section "InputDevice"
Comment 1 Adam Jackson 2008-01-15 09:40:53 EST
Don't do that.  Put your radeonhd module in the normal ModulePath.
Comment 2 Linus Walleij 2008-01-15 18:16:06 EST
Aha NOTABUG so this must be a FEATURE ;-)

But should it not rather delete the entire "Files" section,
not just the ModulePath:s?

Anyway, putting source-compiled stuff into /usr/lib64/xorg/modules
is your recommendation so --prefix=/usr it will be.

Note You need to log in before you can comment on or make changes to this bug.